Package org.springframework.aop.support

# Class AbstractGenericPointcutAdvisor

java.lang.Object
org.springframework.aop.support.AbstractPointcutAdvisor
org.springframework.aop.support.AbstractGenericPointcutAdvisor

All Implemented Interfaces:
  `Serializable`, `Advisor`, `PointcutAdvisor`, `org.springframework.core.Ordered`

Direct Known Subclasses:
  `AspectJExpressionPointcutAdvisor`, `DefaultPointcutAdvisor`, `NameMatchMethodPointcutAdvisor`, `RegexpMethodPointcutAdvisor`

public abstract class AbstractGenericPointcutAdvisor extends AbstractPointcutAdvisor
Abstract generic `PointcutAdvisor` that allows for any `Advice` to be configured.

Since:
  2.0
Author:
  Juergen Hoeller
See Also:
  - `setAdvice(org.aopalliance.aop.Advice)`
  - `DefaultPointcutAdvisor`
  - Serialized Form

## Field Summary

### Fields inherited from interface org.springframework.aop.Advisor

`EMPTY_ADVICE`

### Fields inherited from interface org.springframework.core.Ordered

`HIGHEST_PRECEDENCE, LOWEST_PRECEDENCE`

## Constructor Summary

Constructors
Constructor
Description
`AbstractGenericPointcutAdvisor()`

## Method Summary

Modifier and Type
Method
Description
`Advice`
`getAdvice()`
Return the advice part of this aspect.
`void`
`setAdvice(Advice advice)`
Specify the advice that this advisor should apply.
`String`
`toString()`

### Methods inherited from class org.springframework.aop.support.AbstractPointcutAdvisor

`equals, getOrder, hashCode, setOrder`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.springframework.aop.Advisor

`isPerInstance`

### Methods inherited from interface org.springframework.aop.PointcutAdvisor

`getPointcut`

## Constructor Details

### AbstractGenericPointcutAdvisor

public AbstractGenericPointcutAdvisor()

## Method Details

### setAdvice

public void setAdvice(Advice advice)
Specify the advice that this advisor should apply.

### getAdvice

public Advice getAdvice()
Description copied from interface: `Advisor`
Return the advice part of this aspect. An advice may be an interceptor, a before advice, a throws advice, etc.

Returns:
  the advice that should apply if the pointcut matches
See Also:
  - `MethodInterceptor`
  - `BeforeAdvice`
  - `ThrowsAdvice`
  - `AfterReturningAdvice`

### toString

public String toString()

Overrides:
  `toString` in class `Object`